package com.epson.mobilephone.common.maintain;

public class MaintainPrinterInfo {
    private static final int EPS_STATUS_NUM = 3;
    private String mId;
    private String mLocation;
    private String mPrinterName = "";
    private int[] mStatus = new int[3];
    private EPS_SUPPLY_INFO mSupplyInfo = new EPS_SUPPLY_INFO();

    public EPS_SUPPLY_INFO getMSupplyInfo() {
        return mSupplyInfo;
    }

    public void setMInkInfor(int[] iArr) {
        mSupplyInfo.ink.colors = iArr;
    }

    public String getMPrinterName() {
        return mPrinterName;
    }

    public void setMPrinterName(String str) {
        mPrinterName = str;
    }

    public String getMLocation() {
        return mLocation;
    }

    public void setMLocation(String str) {
        mLocation = str;
    }

    public String getMId() {
        return mId;
    }

    public void setMId(String str) {
        mId = str;
    }

    public int[] getMStatus() {
        return mStatus;
    }

    public void setMStatus(int[] iArr) {
        mStatus = iArr;
    }
}
